unit Unit2;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VCLTee.TeEngine, VCLTee.TeeTools, VCLTee.Series, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, Vcl.StdCtrls;

type
  TForm2 = class(TForm)
    chtImpedance: TChart;
    ImpSeries: TBarSeries;
    ChartTool1: TMarksTipTool;
    chtImpRef: TChart;
    ImpPerSeries: TBarSeries;
    ChartTool2: TMarksTipTool;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    procedure CreateCLT(Chart: TChart; Value: Double; Color: TColor; Drag: Boolean; CLTOnDrag: TColorLineToolOnDrag; Tag: Integer);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses
   Unit1;

{$R *.dfm}

{-----------------------------------------------------------------------------}
{- CreateCLT                                                                 -}
{-----------------------------------------------------------------------------}
procedure TForm2.Button1Click(Sender: TObject);
begin
   Form1 := TForm1.Create(Self);
   try
      Form1.QuickRep1.Preview;
   finally
      Application.ProcessMessages;
      Form1.Free;
   end;
end;

procedure TForm2.CreateCLT(Chart: TChart; Value: Double; Color: TColor; Drag: Boolean; CLTOnDrag: TColorLineToolOnDrag; Tag: Integer);
var
   CLT: TColorLineTool;
begin
   CLT := TColorLineTool.Create(Self);
   CLT.Value := Value;
   CLT.Axis := Chart.LeftAxis;
   CLT.Pen.Style := psSolid;
   CLT.Pen.Width := 2;
   CLT.Pen.Color := Color;
   CLT.AllowDrag := Drag;
   CLT.Draw3D := False;
   CLT.Active := True;
   CLT.DrawBehind := True;
   CLT.DragRepaint := True;
   CLT.NoLimitDrag := True;
   CLT.Style := clCustom;
   CLT.Tag := Tag;
   CLT.OnDragLine := CLTOnDrag;
   Chart.Tools.Add(CLT);
end; {CreateCLT}

procedure TForm2.FormCreate(Sender: TObject);
begin
   CreateCLT(chtImpedance, 140, clGreen, True, nil, 0);
   CreateCLT(chtImpedance, 200, clRed, False, nil, 1);
   CreateCLT(chtImpedance, 180, clYellow, False, nil, 2);
   CreateCLT(chtImpedance, 100, clYellow, False, nil, 3);
   CreateCLT(chtImpedance, 40, clRed, False, nil, 4);

   CreateCLT(chtImpRef, 210, clRed, False, nil, 1);
   CreateCLT(chtImpRef, 165, clYellow, False, nil, 2);
   CreateCLT(chtImpRef, 115, clYellow, False, nil, 3);
   CreateCLT(chtImpRef, 65, clRed, False, nil, 4);
end;

end.
